Android – What mobile devices are supported by TigerConnect?

Android

There are a variety of Android devices. The minimum required Android operating system to download the latest version of TigerConnect is Android 4.0.3 or newer.

Any devices that have an older version than Android 4.x will need to upgrade their operating system. Alternatively, upgrading your device to an operating system with 4.x or above will allow you to get the most recent version of TigerConnect.

See our System Requirements page for further details regarding the latest operating systems and devices supported by TigerConnect:

https://www.tigerconnect.com/system-requirements

Posted in: Android/Web - Supported Devices and Browsers